#!/bin/bash

#DB config format- HOST:PORT:DATABASE_NAME:USER:PASSWORD
PGPASFILE=localhost:5432:::

#create dir and copy files
mkdir /backup/cloud_backup
mkdir /backup/cloud_backup/data
mkdir /backup/cloud_backup/script
mkdir /backup/cloud_backup/data/db
mkdir /backup/cloud_backup/data/media
mkdir /backup/cloud_backup/log
cp script_backup_base.sh /backup/cloud_backup/script/script_backup_base.sh

#change permission
chmod 777 -R /backup/cloud_backup
cmod +x /backup/cloud_backup/script/script_backup_base.sh
# download files
wget http://downloads.rclone.org/rclone-v1.35-linux-amd64.zip
#unpack rclone
unzip rclone-v1.35-linux-amd64.zip
cd rclone-v1.35-linux-amd64
sudo cp rclone /usr/sbin/
sudo chown root:root /usr/sbin/rclone
sudo chmod 755 /usr/sbin/rclone
sudo mkdir -p /usr/local/share/man/man1
sudo cp rclone.1 /usr/local/share/man/man1/
rclone config

#create cron job
#write out current crontab
crontab -l > mycron
#echo new cron into cron file
echo "0 0 * * * /bin/bash /backup/cloud_backup/script/script_backup_base.sh" >> mycron
#install new cron file
crontab mycron
rm mycron
#create batabase data file
echo $PGPASFILE >> ~/.pgpass 
chmod 600 ~/.pgpass
#All ok finish
echo "FNISH INSTALL. ALL OK/"